package com.ruoyi.system.service_shate;

import com.ruoyi.system.domain_shate.SoilDesertification;
import com.ruoyi.system.domain_shate.SoilMoisture;
import com.ruoyi.system.domain_shate.SoilSalinization;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:25
 */
public interface ISoilFactorService {

    List<SoilDesertification> sqlYear();

    List<SoilMoisture> sqlYear1();

    List<SoilSalinization> sqlYear2();

    List<SoilDesertification> sqlDesert(String zone, String year);

    List<SoilMoisture>  sqlMoisture(String zone, String year);

    List<SoilSalinization>  sqlSalin(String zone, String year);

    Integer InsertSalin(SoilSalinization soil);

    Integer InsertDesert(SoilDesertification desertification);

    Integer InsertMoisture(SoilMoisture moisture);
}
